<script>
import LastMachinesByPackNum from '@organisms/LastMachinesByPackNumber/LastMachinesByPackNum.vue'
import {useStore} from 'vuex'
import AdapterOfMachines from "@adapters/AdapterOfMachines"
import ServiceOfMachines from "@services/ServiceOfMachines"

export default {
  name: 'LastMachinesPackNumPage',
  components: {
    LastMachinesByPackNum
  },
  setup() {
    // const url = import.meta.env.VITE_API_ADDR
    const url = import.meta.env.VITE_SCAND_API_ADDR
    const store = useStore()
    
    const adapterOfMachines = new AdapterOfMachines(url)
    const serviceOfMachines = new ServiceOfMachines(adapterOfMachines, store)

    return {serviceOfMachines}
  },
}
</script>

<template>
  <LastMachinesByPackNum :serviceOfMachines="serviceOfMachines" />
</template>
